Loading...
Searching...
No Matches
Dune::Amg::ConnectivityConstructor< G, T > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners » Parallel Algebraic Multigrid

`#include <dune/istl/paamg/galerkin.hh>`

Inheritance diagram for Dune::Amg::ConnectivityConstructor< G, T >:

## Public Types

typedef G::VertexDescriptor | Vertex

## Static Public Member Functions

template<class V, class O, class R>
static void | examine (G &graph, V &visitedMap, const T &pinfo, const AggregatesMap< Vertex > &aggregates, const O &overlap, const OverlapVertex< Vertex > *overlapVertices, const OverlapVertex< Vertex > *overlapEnd, R &row)
template<class R, class G, class V>
static void | constructOverlapConnectivity (R &row, G &graph, V &visitedMap, const AggregatesMap< typename G::VertexDescriptor > &aggregates, const OverlapVertex< typename G::VertexDescriptor > *&seed, const OverlapVertex< typename G::VertexDescriptor > *overlapEnd)
template<class R, class G, class V>
static void | constructNonOverlapConnectivity (R &row, G &graph, V &visitedMap, const AggregatesMap< typename G::VertexDescriptor > &aggregates, const typename G::VertexDescriptor &seed)
| Construct the connectivity of an aggregate in the overlap.

The documentation for this struct was generated from the following file:

- galerkin.hh